import api from './api'

/**
 * 使用手机 + 验证码登录
 */
export function smsLogin(data) {
  console.log('--> % smsLogin % data:\n', data)
  return api.post('/member/auth/sms-login', data, { login: false })
}

/**
 * 使用手机 + 验证码登录
 */
export function sendSmsCode(data) {
  return api.post('/member/auth/send-sms-code', data, { login: false })
}

/**
 * 小程序
 */
export function weixinLogin(data) {
  return api.post('/member/auth/weixin-mini-app-login', data, { login: false })
}
